plugin_paths = { "/usr/share/jitsi-meet/prosody-plugins/" }

-- domain mapper options, must at least have domain base set to use the mapper
muc_mapper_domain_base = "visio.capbureautique.net";

turncredentials_secret = "o6tOpEXpZCjT0jwH";

turncredentials = {
  { type = "stun", host = "visio.capbureautique.net", port = "4446" },
  { type = "turn", host = "visio.capbureautique.net", port = "4446", transport = "udp" },
  { type = "turns", host = "visio.capbureautique.net", port = "443", transport = "tcp" }
};

cross_domain_bosh = false;
consider_bosh_secure = true;

VirtualHost "visio.capbureautique.net"
        -- enabled = false -- Remove this line to enable this host
        authentication = "internal_plain"
        -- Properties below are modified by jitsi-meet-tokens package config
        -- and authentication above is switched to "token"
        --app_id="example_app_id"
        --app_secret="example_app_secret"
        -- Assign this host a certificate for TLS, otherwise it would use the one
        -- set in the global section (if any).
        -- Note that old-style SSL on port 5223 only supports one certificate, and will always
        -- use the global one.
        ssl = {
                key = "/etc/prosody/certs/visio.capbureautique.net.key";
                certificate = "/etc/prosody/certs/visio.capbureautique.net.chain.crt";
        }
        speakerstats_component = "speakerstats.visio.capbureautique.net"
        conference_duration_component = "conferenceduration.visio.capbureautique.net"
        -- we need bosh
        modules_enabled = {
            "bosh";
            "pubsub";
            "ping"; -- Enable mod_ping
            "speakerstats";
            "turncredentials";
            "conference_duration";
        }
        c2s_require_encryption = false

Component "conference.visio.capbureautique.net" "muc"
    storage = "memory"
    modules_enabled = {
        "muc_meeting_id";
        "muc_domain_mapper";
        -- "token_verification";
    }
    admins = { "focus@auth.visio.capbureautique.net" }
    muc_room_locking = false
    muc_room_default_public_jids = true

-- internal muc component
Component "internal.auth.visio.capbureautique.net" "muc"
    storage = "memory"
    modules_enabled = {
      "ping";
    }
    admins = { "focus@auth.visio.capbureautique.net", "jvb@auth.visio.capbureautique.net" }
    muc_room_locking = false
    muc_room_default_public_jids = true

VirtualHost "auth.visio.capbureautique.net"
    ssl = {
        key = "/etc/prosody/certs/auth.visio.capbureautique.net.key";
        certificate = "/etc/prosody/certs/auth.visio.capbureautique.net.crt";
    }
    authentication = "internal_plain"

Component "focus.visio.capbureautique.net"
    component_secret = "cwD1jYIu"

Component "speakerstats.visio.capbureautique.net" "speakerstats_component"
    muc_component = "conference.visio.capbureautique.net"

Component "conferenceduration.visio.capbureautique.net" "conference_duration_component"
    muc_component = "conference.visio.capbureautique.net"

VirtualHost "guest.visio.capbureautique.net"
    authentication = "anonymous"
    c2s_require_encryption = false

VirtualHost "recorder.visio.capbureautique.net"
    modules_enabled = {
        "ping";
    }
    authentication = "internal_plain"
